package com.ltgk.common.enums;


import com.ltgk.common.utils.enums.CodeDescEnumInterface;
import lombok.Getter;

/**
 * 应急队伍成员角色枚举类
 *
 * @author Qi ChengBin
 * @date 2025/02/07
 */
@Getter
public enum EmTeamMemberRoleEnums implements CodeDescEnumInterface {
    FIRE_FIGHTER(0, "消防"),
    DOCTOR(1, "医生"),
    NURSE(2, "护士"),
    PSYCHIATRIST(3, "心理医生");

    private final Integer code;
    private final String desc;

    EmTeamMemberRoleEnums(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }
}
